// Unreal Fighting Framework by Kevin Poretti

#pragma once

#include "CoreMinimal.h"
#include "UObject/Interface.h"

#include "IFFStateAvatarInterface.generated.h"

UINTERFACE(MinimalAPI)
class UFFStateAvatarInterface : public UInterface
{
	GENERATED_BODY()
};

/**
 * 
 */
class UNREALFIGHTINGFRAMEWORK_API IFFStateAvatarInterface
{
	GENERATED_BODY()

public:
	virtual bool CheckStance(uint8 Stance) = 0;

    virtual bool CheckStateEnabled(uint8 StateType) = 0;

	virtual bool CheckStateEntryConditions(const TArray<uint8>& EntryConditions) = 0;
};
